function ValidateMenu(FleetAssignedCount) {
    if (FleetAssignedCount == 0) {
        alert("Cannot view the module as sensor group is not assigned to the user !");
        return false;
    }

    return true;
}

function ManipulateMenu(liListOfModules, clickedItem) {
    var isIE = CheckBrowser();
    var moduleLis = liListOfModules.split(',')
    for (var i = 0; i < moduleLis.length; i++) {
        if (moduleLis[i] == "") {
            break;
        }
        if ('li' + moduleLis[i] == clickedItem) {
            document.getElementById('li' + moduleLis[i]).setAttribute(isIE ? 'className' : 'class', 'current');
        }
        else {
            document.getElementById('li' + moduleLis[i]).setAttribute(isIE ? 'className' : 'class', moduleLis[i]);
        }
    }
}
function CheckBrowser() {
    var isIE = false;
    if (navigator.appName == "Microsoft Internet Explorer") {
        isIE = true;
    }
    else {
        isIE = false;
    }
    return isIE;
}
function ShowPopUp() {
    try {
        if (document.getElementById('ddlExport') != null) {
            if ((document.getElementById('ddlExport').value == 'Word') || (document.getElementById('ddlExport').value == 'Excel') || (document.getElementById('ddlExport').value == 'HTML')) {
                $find('mpeProgressIndicator').hide();
            }
            else {
                $find('mpeProgressIndicator').show();
            }
        }
        else {
            $find('mpeProgressIndicator').show();
        }
    } catch (Error) { }
}
function HidePopUp() {
    try {
        if ($find('mpeProgressIndicator') != undefined) {
            $find('mpeProgressIndicator').hide();
        }
        if ($find('mpeMapProgressIndicator') != undefined) {
            $find('mpeMapProgressIndicator').hide();
        }
    } catch (Error) { }
}